# Folder Exclusion

## Get

> Retrieve FSLogix Profile Container Folder Exclusion List of a session server with the specified ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/ProfileContainer/FolderExclusion":{"get":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Profile Container"],"summary":"Get","description":"Retrieve FSLogix Profile Container Folder Exclusion List of a session server with the specified ID.","operationId":"2aed4763-e1d5-482a-9ebd-f9dd4f473da1","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to retrieve the FSLogix Profile Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"type":"string"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add a folder to the Folder Exclusion List of the FSLogix Profile Container settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/ProfileContainer/FolderExclusion":{"post":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Profile Container"],"summary":"Add","description":"Add a folder to the Folder Exclusion List of the FSLogix Profile Container settings.","operationId":"2438dc1c-3bf0-410b-aa67-4df6ecadcfa5","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the FSLogix Profile Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Folder configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddFSLogixFolderExclusion"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddFSLogixFolderExclusion":{"required":["folder"],"type":"object","properties":{"folder":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the 'Folder' path to add to the Include/Exclude Folder List.</para>","nullable":true},"excludeFolderCopy":{"$ref":"#/components/schemas/ExcludeFolderCopy"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add FSLogix Folder Exclusion</para>\r\n<para type=\"description\"></para>"},"ExcludeFolderCopy":{"enum":[["0 = None","1 = CopyBase","2 = CopyBack"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Exclude Folder Copy values.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify an item in the folder exclusion list of the FSLogix Profile Container settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/ProfileContainer/FolderExclusion":{"put":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Profile Container"],"summary":"Update","description":"Modify an item in the folder exclusion list of the FSLogix Profile Container settings.","operationId":"427a084d-0afe-4d42-9beb-e5117c1a99a4","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the FSLogix Profile Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Folder configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetFSLogixFolderExclusion"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetFSLogixFolderExclusion":{"required":["excludeFolderCopy","folder"],"type":"object","properties":{"folder":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the 'Folder' path to modify within Exclude Folder List.</para>","nullable":true},"excludeFolderCopy":{"$ref":"#/components/schemas/ExcludeFolderCopy"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Change folder configuration in the FSLogix folder exclusion list</para>\r\n<para type=\"description\"></para>"},"ExcludeFolderCopy":{"enum":[["0 = None","1 = CopyBase","2 = CopyBack"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Exclude Folder Copy values.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Remove a folder from the Folder Exclusion List of the FSLogix Profile Container settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/ProfileContainer/FolderExclusion":{"delete":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//Profile Container"],"summary":"Delete","description":"Remove a folder from the Folder Exclusion List of the FSLogix Profile Container settings.","operationId":"33c565ea-b7ef-485e-838a-df7f85df9fd0","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the FSLogix Profile Container settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Folder configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveFSLogixFolder"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveFSLogixFolder":{"required":["folder"],"type":"object","properties":{"folder":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the 'Folder' path to remove to the Include/Exclude Folder List.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove a folder from the FSLogix folder inclusion list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/fslogix/profile-container/folder-exclusion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
